# Vertex AI Translation API

This guide describes the Vertex AI Translation API.

## Service: {TRANSLATION_GDC_ENDPOINT}

### Service endpoint

A service endpoint is a base URL that specifies the
network address of an API service.

{TRANSLATION_GDC_ENDPOINT} is a service that might have multiple service endpoints.
Its service endpoint is `https://{TRANSLATION_GDC_ENDPOINT}`.
Replace `TRANSLATION_GDC_ENDPOINT` with the endpoint used to access the Vertex
AI Translation API. For more information, see [View service statuses and endpoints](https://docs.cloud.google.com/distributed-cloud/hosted/docs/latest/appliance/application/ao-user/vertex-ai-api-status).

All URIs on this page are relative to the {TRANSLATION_GDC_ENDPOINT} service endpoint.

## REST Resource: [v3.projects](https://docs.cloud.google.com/distributed-cloud/hosted/docs/latest/appliance/apis/service/vertex-ai/translation/rest/v3/projects)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/hosted/docs/latest/appliance/apis/service/vertex-ai/translation/rest/v3/projects/detectLanguage` | `POST /v3/{parent}:detectLanguage` Detects the language of text within a request. |
| `https://docs.cloud.google.com/distributed-cloud/hosted/docs/latest/appliance/apis/service/vertex-ai/translation/rest/v3/projects/getSupportedLanguages` | `GET /v3/{parent}:getSupportedLanguages` Returns a list of supported languages for translation. |
| `https://docs.cloud.google.com/distributed-cloud/hosted/docs/latest/appliance/apis/service/vertex-ai/translation/rest/v3/projects/translateText` | `POST /v3/{parent}:translateText` Translates input text and returns translated text. |